workflow "Build, Test, and Publish" {
  on = "push"
  resolves = ["Lint", "Tests Unit", "Tests Int", "Send coverage to codecov"]
}

action "Build" {
  uses = "actions/npm@master"
  args = "ci"
}

action "Lint" {
  needs = "Build"
  uses = "actions/npm@master"
  args = "run lint"
}

action "Tests Unit" {
  needs = "Build"
  uses = "actions/npm@master"
  args = "run test:unit"
}

action "Tests Int" {
  needs = "Build"
  uses = "actions/npm@master"
  args = "run test:int:sh"
}

action "Send coverage to codecov" {
  needs = ["Tests Unit"]
  uses = "Atrox/codecov-action@v0.1.2"
  secrets = ["CODECOV_TOKEN"]
}